﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.ComponentModel;

namespace XamDataGridComboCell
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            this.DataContext = new MyData().GetData();
        }
    }

    public class MyData
    {
        public MyData()
        {
        }
        public BindingList<Person> GetData()
        {
            BindingList<Person> list = new BindingList<Person>();
            list.Add(new Person() { Name = "person1", Age = 10 });
            list.Add(new Person() { Name = "person2", Age = 20 });
            list.Add(new Person() { Name = "person3", Age = 30 });

            return list;
        }
    }

    public class Person
    {
        public int Age { get; set; }
        public string Name { get; set; }
    }


}
